package cz.muni.pa165.common_library.dtos;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;
import lombok.Data;

/**
 * Dto fro DriverCar entity.
 */
@Data
@Builder
public class RaceDriverCarDto {

  @Schema(description = "driver id", example = "1")
  Long driverId;

  @Schema(description = "car id", example = "1")
  Long carId;

  @Schema(description = "drivers position in the race", example = "1")
  Integer position;
}
