package cz.muni.pa165.component.service;

import cz.muni.pa165.common_library.dtos.CarComponentDto;
import java.util.List;


/**
 * Interface for the car component service.
 */
public interface ComponentServiceInterface {

  public CarComponentDto postCarComponent(CarComponentDto carComponentDto);

  public CarComponentDto getCarComponentById(Long carComponentId);

  public List<CarComponentDto> getAllCarComponents();

  public String deleteById(Long carComponentId);

}
